%define _altdata_dir %_datadir/alterator

Name: alterator-apache2
Version: 2.4
Release: alt1

Packager: Aleksey Avdeev <solo@altlinux.ru>

BuildArch: noarch

Source:%name-%version.tar

Summary: alterator module for apache2
License: GPL
Group: System/Configuration/Other
Requires: gettext
Requires: apache2-configs2 >= 2.2.0
Requires: apache2-config-tools >= 0
Requires: alterator >= 2.9
Requires: alterator-chkconfig
Requires: alterator-design
Conflicts: alterator-fbi < 0.15-alt2

BuildPreReq: alterator >= 3.1-alt1
BuildPreReq: alterator-fbi >= 0.7-alt1

%description
alterator module for apache2

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name

%files -f %name.lang
%_var/www/html/*
%_alterator_backend3dir/*
%_altdata_dir/applications/apache2.desktop
%_altdata_dir/build/apache2.sh
%_altdata_dir/build/backend-apache2.sh
%_altdata_dir/help/*/*

%changelog
* Tue Mar 25 2008 Aleksey Avdeev <solo@altlinux.ru> 2.4-alt1
- Update module to new help subsystem
  + degradation help

* Tue Jan 29 2008 Aleksey Avdeev <solo@altlinux.ru> 2.3.5-alt1
- Update alterator-apache2-*.tar to alterator-apache2-2.3.5.tar
- Fix #13745. (Thanks Lenar Shakirov <shakirov cg ru>.)

* Mon Dec 17 2007 Aleksey Avdeev <solo@altlinux.ru> 2.3.3-alt1
- Update alterator-apache2-*.tar to alterator-apache2-2.3.3.tar
- Fix #13690: move up service restart link.
  (Thanks Grigory Batalov <bga altlinux org>.)

* Thu Dec 06 2007 Aleksey Avdeev <solo@altlinux.ru> 2.3.2-alt1
- Update alterator-apache2-*.tar to alterator-apache2-2.3.2.tar
- Fix #13289: default ScriptAlias for cgi-bin correcting

* Sat Sep 22 2007 Aleksey Avdeev <solo@altlinux.ru> 2.3.1-alt0.1
- Update alterator-apache2-*.tar to alterator-apache2-2.3.1.tar
  + rename old build/apache2.sh to build/backend-apache2.sh
  + ceate new build/apache2.sh (moveing shell functions and vars
    from backend3/apache2)
- Remove Requires: apache2 >= 2.2.4-alt33
- Add Requires:
  + apache2-configs2 >= 2.2.0
  + apache2-config-tools >= 0
- Remove BuildPreReq: apache2-common >= 2.2.4-alt25
  

* Thu Sep 13 2007 Aleksey Avdeev <solo@altlinux.ru> 2.3-alt1
- Update alterator-apache2-*.tar to alterator-apache2-2.3.tar
  + ru_RU help add
    html/fbi/help/ru_RU/apache2-config_group.html
    html/fbi/help/ru_RU/apache2-mods.html
    html/fbi/help/ru_RU/apache2-sites.html
    html/fbi/help/ru_RU/apache2-vhost.html
  + update ru_RU help files (tanks to Kirill Maslinsky).

* Mon Aug 27 2007 Aleksey Avdeev <solo@altlinux.ru> 2.2-alt0.1
- Update alterator-apache2-*.tar to alterator-apache2-2.2.tar
  + add ru_RU help
    html/fbi/help/ru_RU/apache2.html

* Mon Aug 13 2007 Aleksey Avdeev <solo@altlinux.ru> 2.1-alt1
- Update alterator-apache2-*.tar to alterator-apache2-2.1.tar
  + switch to new menu system.

* Sun Jul 29 2007 Aleksey Avdeev <solo@altlinux.ru> 2.0-alt1
- Update alterator-apache2-*.tar to alterator-apache2-2.0.tar
  + create form for new vhost
  + create form for vhost configure
  + config files summary using
  + add configure dirs for vhosts
  + add configure Alias and ScriptAlias for vhosts
  + update po/*.{pot,po} files
- Adding %%_datadir/alterator/build/apache2.sh
- Update Requires to apache2 >= 2.2.4-alt33

* Thu Jul 19 2007 Aleksey Avdeev <solo@altlinux.ru> 1.0-alt2
- Requires alterator-design-server reseting to alterator-design

* Tue Jun 19 2007 Aleksey Avdeev <solo@altlinux.ru> 1.0-alt1
- Initial release
